fgl-5.8.2.0: Martin Erwig's Functional Graph Library

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Graph.Inductive.Query.Indep

Description

Maximum Independent Node Sets

Synopsis

- indep :: DynGraph gr => gr a b -> [Node]
- indepSize :: DynGraph gr => gr a b -> ([Node], Int)

# Documentation

indep :: DynGraph gr => gr a b -> [Node] #

Calculate the maximum independent node set of the specified graph.

indepSize :: DynGraph gr => gr a b -> ([Node], Int) #

The maximum independent node set along with its size.